Skip to main content
IPinfo - Comprehensive IP address data, IP geolocation API and database

IP ASN API Data

Available in: IPinfo Lite (Limited), IPinfo Core, IPinfo Plus, and IPinfo Enterprise

  • In the IPinfo Lite plan, the API will return the ASN, AS Organization name, and AS Domain name.
  • In the IPinfo Core API tier, you will have access to the ASN, AS Organization name, AS Domain name, and AS type.
  • In the IPinfo Plus and IPinfo Max API tiers, you will have access to the ASN, AS organization name, AS domain name, and AS type. You will also have access to the date the ASN record was last changed.

Through the IPinfo Enterprise API services, you can access to the dedicated ASN API service for ASN Information.

IPinfo Lite

IPinfo Lite returns limited ASN data as part of the broader IP lookup response, including the ASN, AS Organization name, and AS Domain name.

API Schema
JSON
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "title": "IPinfo Lite API - ASN Response",
  "description": "Schema for IPinfo Lite - ASN fields in the IP lookup response",
  "type": "object",
  "properties": {
    "asn": {
      "type": "string",
      "description": "The Autonomous System Number (ASN) associated with the IP address.",
      "example": "AS15169"
    },
    "as_name": {
      "type": "string",
      "description": "The name of the organization that owns the ASN.",
      "example": "Google LLC"
    },
    "as_domain": {
      "type": "string",
      "description": "The domain name associated with the ASN.",
      "example": "google.com"
    }
  }
}
FieldTypeDescriptionExample
asnstringThe Autonomous System Number (ASN) associated with the IP address.AS15169
as_namestringThe name of the organization that owns the ASN.Google LLC
as_domainstringThe domain name associated with the ASN.google.com
Bash
# With token query parameter
$ curl https://api.ipinfo.io/lite/8.8.8.8?token=$TOKEN
$ curl https://api.ipinfo.io/lite/me?token=$TOKEN
API Response
JSON
{
  //...
  "asn": "AS15169",
  "as_name": "Google LLC",
  "as_domain": "google.com",
  //...
}

IPinfo Core

IPinfo Core returns ASN data including the ASN, AS Organization name, AS Domain name, and AS type.

API Schema
JSON
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "title": "IPinfo Core API - ASN Response",
  "description": "Schema for IPinfo Core - ASN API response",
  "type": "object",
  "properties": {
    "asn": {
      "type": "string",
      "description": "The Autonomous System Number (ASN) associated with the IP address.",
      "example": "AS52778"
    },
    "name": {
      "type": "string",
      "description": "The name of the organization that owns the ASN.",
      "example": "SANER TELECOM INFORMATICA LTDA ME"
    },
    "domain": {
      "type": "string",
      "description": "The domain name associated with the ASN.",
      "example": "vilanet.com.br"
    },
    "type": {
      "type": "string",
      "description": "The type of the ASN, such as isp, business, hosting, or education.",
      "example": "isp"
    }
  }
}
FieldTypeDescriptionExample
asnstringThe Autonomous System Number (ASN) associated with the IP address.AS52778
namestringThe name of the organization that owns the ASN.SANER TELECOM INFORMATICA LTDA ME
domainstringThe domain name associated with the ASN.vilanet.com.br
typestringThe type of the ASN, such as isp, business, hosting, or education.isp
Bash
# With token query parameter
$ curl https://api.ipinfo.io/lookup/177.155.240.88/as?token=$TOKEN
$ curl https://api.ipinfo.io/lookup/me/as?token=$TOKEN
API Response
JSON
{
  "asn": "AS52778",
  "name": "SANER TELECOM INFORMATICA LTDA ME",
  "domain": "vilanet.com.br",
  "type": "isp"
}

IPinfo Plus / IPinfo Max

IPinfo Plus and IPinfo Max returns all Core ASN fields plus the date the ASN record was last changed.

API Schema
JSON
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "title": "IPinfo Plus API - ASN Response",
  "description": "Schema for IPinfo Plus - ASN API response",
  "type": "object",
  "properties": {
    "asn": {
      "type": "string",
      "description": "The Autonomous System Number (ASN) associated with the IP address.",
      "example": "AS52778"
    },
    "name": {
      "type": "string",
      "description": "The name of the organization that owns the ASN.",
      "example": "SANER TELECOM INFORMATICA LTDA ME"
    },
    "domain": {
      "type": "string",
      "description": "The domain name associated with the ASN.",
      "example": "vilanet.com.br"
    },
    "type": {
      "type": "string",
      "description": "The type of the ASN, such as isp, business, hosting, or education.",
      "example": "isp"
    },
    "last_changed": {
      "type": "string",
      "description": "The date when the ASN record was last updated, in ISO 8601 format (YYYY-MM-DD).",
      "example": "2024-06-04"
    }
  }
}
FieldTypeDescriptionExample
asnstringThe Autonomous System Number (ASN) associated with the IP address.AS52778
namestringThe name of the organization that owns the ASN.SANER TELECOM INFORMATICA LTDA ME
domainstringThe domain name associated with the ASN.vilanet.com.br
typestringThe type of the ASN, such as isp, business, hosting, or education.isp
last_changedstringThe date when the ASN record was last updated, in ISO 8601 format (YYYY-MM-DD).2024-06-04
Bash
# With token query parameter
$ curl https://api.ipinfo.io/lookup/177.155.240.88/as?token=$TOKEN
$ curl https://api.ipinfo.io/lookup/me/as?token=$TOKEN
API Response
JSON
{
  "asn": "AS52778",
  "name": "SANER TELECOM INFORMATICA LTDA ME",
  "domain": "vilanet.com.br",
  "type": "isp",
  "last_changed": "2024-06-04"
}
Was this page helpful?